← Classifiche

Scotland

West Region League Division 3

#SquadraPWDLPDBPPtsForma
1Clydebank RFC7511+220628WWDLW
2Paisley RFC4400+202420WWWW
3Moffat RFC5311+83317WWDL
4Waysiders/Drumpellier RFC5203+18311LLWW
5Glasgow University Medics2200+4327WW
6Hyndland RFC4103-4415WLLL
7Clydesdale RFC5104-30710LLLLW
8Isle of Mull RFC4004-18010LLLL
9Isle of Arran RFC2002-3500LL

Fonte: Scottish Rugby · verificato 18 ott, 16:20 · Forma: gli ultimi cinque risultati che abbiamo, il più recente a destra.

Partite e risultati →

Ogni tabella è la classifica pubblicata dalla lega stessa, con bonus, penalizzazioni e criteri di parità. BP compare dove la lega lo pubblica; altrove è già compreso nei Pts.